MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001380XdebugFeature/Change requestpublic2016-12-20 09:272017-12-02 18:36
Reporterstaabm 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2.3 
Target Version2.6.0Fixed in Version2.6.0alpha1 
Summary0001380: Add xdebug_is_debugger_active() that returns true when debugger is connected
Descriptionwhile debugging our code-base we sometimes run into problems which dont occur in the real-world because of the debugger halting the program and certain timeouts occur.

as discussed on twitter https://twitter.com/markusstaab/status/810892163210944513 [^]

use case1)
we use a non-blocking file-session handler which is required as phps native handler will LOCK the session on parallel requests without recovering, which can easily be exploited as a (D)DOS vector. see https://bugs.php.net/bug.php?id=72345 [^]
when debugging the file-handlers session-timeout will trigger a exception as the timout happens because of the debugger not progressing further.

use case 2)
we monitor our systems request rendertime using $_SERVER['REQUEST_TIME_FLOAT']. as the programm does not progress when halting with the debugger this monitoring also reports false-positives as requests are indentified as beeing slow.

in case we would have a userland api we could whitelist those requests too make sure no timeout occurs or no monitoring alert will happen.
TagsNo tags attached.
Operating System
PHP Version7.0.10-7.0.14
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-12-20 09:27 staabm New Issue
2017-01-14 14:34 derick Status new => confirmed
2017-01-14 14:34 derick Target Version => 2.6.0dev
2017-01-14 17:19 derick Summary userland api to detect debug sessions => Add xdebug_is_debugger_active() that returns true when debugger is connected
2017-01-14 17:26 derick Status confirmed => closed
2017-01-14 17:26 derick Assigned To => derick
2017-01-14 17:26 derick Resolution open => fixed
2017-01-14 17:26 derick Fixed in Version => 2.6.0dev
2017-12-02 15:57 derick Fixed in Version 2.6.0dev => 2.6.0alpha1
2017-12-02 18:34 derick Target Version 2.6.0dev => 2.6.0alpha1
2017-12-02 18:36 derick Target Version 2.6.0alpha1 => 2.6.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker